Subject: RE: [Sigtran] M3UA - ASP database equalization

From: "Nagar, Ashish" <[email-masked]>
Date: Wed, 5 Feb 2003 23:13:09 -0800

Hi Samuel

My point is why to do any processing if ASP is in Inactive state.
Think about ASP is in Inactive state for longer period and receiving lots of
DUNA and DAVA, while what matter is the present only when ASP state changes
to ASP-ACTIVE.

Thanks & Regards
Ashish Nagar

-----Original Message-----
From: Samuel Dur D. Jeyaseelan [mailto:[email-masked]] 
Sent: Thursday, February 06, 2003 12:30 PM
To: Nagar, Ashish
Cc: [email-masked]
Subject: RE: [Sigtran] M3UA - ASP database equalization

Ashish,

My point is if SG is able to send DUNA to all inact and active ASPs,
we should not restrict it.

Sending DAUD is an alternative way ,If SG has direct way of sending
DUNA then Why do you need alternative way?

--Samuel

  Alcatel USA, Inc.                  Internet: <userid>@ssd.usa.alcatel.com
  1000 Coit Road, Plano, Texas 75075
  ******* The opinions expressed are not those of Alcatel USA, Inc. *******

On Wed, 5 Feb 2003, Nagar, Ashish wrote:

> You can generate DAUD procedure at any time, so whenever ASP changes state
> from Inactive to Active Just generate DAUD.
> 
> Thanks & Regards
> Ashish Nagar
> 
> 
> -----Original Message-----
> From: Samuel Dur D. Jeyaseelan [mailto:[email-masked]] 
> Sent: Thursday, February 06, 2003 11:27 AM
> To: [email-masked]
> Subject: [Sigtran] M3UA - ASP database equalization
> 
> 
> Hi all,
> 
> Currently RFC 3332 says that SG sends SSNM messages to all 'concerned
> ASPs'(means only ACTIVE ASPs).
> 
> +----+           +---+           +-----+
> |SEP | ----------|SG |-----------| ASP1|
> +----+           +---+           +-----+
>                    |             
>                    |             +-----+
>                    +-------------| ASP2|
>                                  +-----+
> 
> (ASP1 is active and ASP2 is incative - override mode)
> 
> When SEP is getting restarted ,SG sends DUNA to ASP1.
> But SEP status is not changed in ASP2.There are two ways to solve this
> problem
> 
> 1. ASP1 can equalize its database with ASP2
> or
> 2.SG itself can send DUNA... to ASP2 (eventhough ASP2 is inactive)
> 
> IMO, SG can send SSNM messages to ASP (either ASP is in active or inact
> state)
> 
> Any comments?
> 
> -----
> 
> section 5.4.2.1
> 
> ...
>       - Pass the MTP-TRANSFER request primitive to the MTP3 of the
>         concerned Network Appearance.
> 
> It conveys the meaning that M3UA layer (at SGP) MTP-TRANSFER request is
> sent to MTP3.
> 
> But there is no primitive availabe between M3UA and MTP3.
> 
> I think it should be corrected.
> 
> ----
> Presently ASP is unaware of SG's MTP3 restart, 
> ASP receives only DUNA for all SS7 point codes which can be
> reachable via that SG.But in case of peer to peer protocol
> SG and AS point codes are different, So why dont we send
> DUNA with SG's point code to ASP? So that just by getting
> single DUNA(with SG's PC) ASP will not route any message via that SG.
> This can avoid sending multiple DUNAs to ASP.
> 
> 
> Any comments?
> 
> -----
> section 1.4.1
> 
> ...
>    Where a particular AS can be reached via more than one SGP, the
>    corresponding Routing Keys in the SGPs should be identical.  (Note:
>    It is possible for the SGP Routing Key configuration data to be
>    temporarily out-of-sync during configuration updates).
>  
>                               +--------+
>                               |        |
>                  +------------+  SG 1  +--------------+
>      +-------+   |  SS7 links | "STP"  |  IP network  |     ----
>      |  SEP  +---+            +--------+              +---/      \
>      |   or  |                    |*                      | ASPs  |
>      |  STP  +---+            +--------+              +---\      /
>      +-------+   |            |        |              |     ----
>                  +------------+  SG 2  +--------------+
>                               | "STP"  |
>                               +--------+
>  
>                     Figure 1  Example with mated SGs
> 
> Here SGP1 is in SG1 and SGP2 is in SG2. Basically mated SGs are located
> geographically in different places.The ideas is when SG1 goes down in
> CITY1(due to earthquake...) , all the traffice still can be handled by SG2
> which is in CITY2.
> 
> SGP2 is mate for SGP1, On failure of SGP1, all the messages will be
> routed from SGP1 to SGP2.
> 
> Does all these things mean to say that SGP1's mate 'should be' present in
> SG2 and not in SG1 itself ?
>  
> 
> Comments are welcome.
> 
> --Samuel
> 
> 
> 
> 
>   Alcatel USA, Inc.                  Internet:
<userid>@ssd.usa.alcatel.com
>   1000 Coit Road, Plano, Texas 75075
>   ******* The opinions expressed are not those of Alcatel USA, Inc.
*******
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 01:34:49 -0600 (CST)

Ashish,

But when inactive ASP changes state to active, first of all
it does not know whether to send DAUD or not.

It will try to send traffic - but actually destination is unavailable.

The worst case is when SG triggers restart procedures this case all the
SS7 destinations are unavailable via restarted-SG.But this poor ASP
(newly come-up ASP) keeps sending traffic via restarted-SG to reach the
SS7 destination and for every message ASP receives DUNA.

Are we not doing double-work here?

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 00:41:11 -0700

Samuel,

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 01:34:49)
> it does not know whether to send DAUD or not.

It simply sends DAUD whenever it goes active.

> It will try to send traffic - but actually destination is unavailable.

No, becuase it will send DAUD.

> SS7 destination and for every message ASP receives DUNA.

It does not send traffic until DAUD is has completed because it does
not send MTP-RESUME or MTP-RESTART-ENDS to the user until DAUD completes.

> Are we not doing double-work here?

You have not considered my example where the ASP is down.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 02:26:26 -0600 (CST)

Brian,

> No, becuase it will send DAUD.

It is not mandatory to send DAUD when ASP becomes ACTIVE.

see section 4.5.3

...
      - Isolation. The ASP is newly ASP-ACTIVE or has been
                   isolated from an SGP for an extended period.  The ASP
                   MAY request the availability/congestion status of one
                   or more SS7 destinations to which it expects to
                   communicate.

Note the word "MAY".

> not send MTP-RESUME or MTP-RESTART-ENDS to the user until DAUD completes.

Finally you missed my point, you are providing indirect solution.
My point is avoid sending DAUD to SG because SG has got capability
to send DUNA to inactive ASPs.Nothing will prevent SG to send DUNA.

> You have not considered my example where the ASP is down.

Again misunderstanding.I said when the ASP is in inactive state it can
receive DUNA.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 01:30:36 -0700

Samuel,

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 02:26:26)
>                    or more SS7 destinations to which it expects to

So don't.

> to send DUNA to inactive ASPs.Nothing will prevent SG to send DUNA.

You missed my point.  There is no MTP user until the ASP is active.

> Again misunderstanding.I said when the ASP is in inactive state it can

But it can do nothing with it, so it is useless to send SSNM to inactive
ASPs.

--brian

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 02:40:28 -0600 (CST)

Brian,

> >                    or more SS7 destinations to which it expects to
Again i have to start from beginning. newly active ASP sends traffic
to SS7 destination via re-started SG. But poor ASP does not know that all
SS7 destinations are unavailable, So he keeps sending traffice and DAUD.
I think this very bad idea.

--Samuel

> But it can do nothing with it, so it is useless to send SSNM to inactive
No it is logical.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 01:47:07 -0700

Samuel,

If an ASP sends data to an inaccessible desintation it will receive DUNA
in response.

Besides, destinations are almost never inaccessible, so it would be a
good assumption on the ASPs part to assume that the destination is
acessible if it doesn't want to send one message (DAUD) before sending
many messages.  Which seems rather foolish to me.  There is a solution:
if the ASP requires to know the status of destinations when it goes
active, it can send DAUD.  If it doesn't need or want to know it does
not send DAUD.  So what.  It still doesn't need to receive SSNM while
inactive.  It only needs to receive them once it becomes active.

This is no different than the MTP/MTP-User interface.  When an MTP-User
attaches to an MTP-SAP, how it obtains information about inaccessible
destinations is implementation dependent.  Either the MTP User can ask
for them or the MTP can immediately provide them (DAUD) or it can simply
send data, relying on MTP responsive procedures to MTP users to send
MTP-PAUSE.  M3UA is identical to this.  MTP never sends MTP-PAUSE when
there is no user to send it to.  SG never sends SSNM to inactive ASPs.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 02:40:28)